Subject: Re: bug#64819: 30.0.50; condition-wait not interruptible

From: Helmut Eller <[email-masked]>
Date: Tue, 25 Jul 2023 14:59:38 +0200

On Tue, Jul 25 2023, Eli Zaretskii wrote:

> Thanks.  If you are currently working on or using some packages that
> use Lisp threads, please run with this patch for a while and come back
> in a couple of weeks if you see no problems with it; then we can
> install this on master.  (It will need a small addition for
> MS-Windows, but that can be handled later.)  A test for this, if
> possible, would also be appreciated, even if it can only be run
> manually (we have the test/manual/ directory for those).

I will try to write a simple multi-threaded HTTP client or proxy to
exercise the threading primitives a bit.

> If you do not intend to use threads any time soon, I guess we can
> install this on master and let someone else be the guinea pig...

The patch doesn't handle the situation where current_thread==NULL.  Not
sure how that can happen, but the patch is definitely not ready for
master.

Helmut